## PlumaFileChooserDialog PlumaFileChooserDialog |

## Functions

GtkWidget * | pluma_file_chooser_dialog_new ()
void | pluma_file_chooser_dialog_set_encoding ()

## Types and Values

| PlumaFileChooserDialogPrivate
struct | PlumaFileChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkFileChooserDialog
                                        ╰── PlumaFileChooserDialog

## Implemented Interfaces

PlumaFileChooserDialog implements AtkImplementorIface, GtkBuildable and GtkFileChooser.

## Description

## Functions

### pluma_file_chooser_dialog_new ()

    GtkWidget *
    pluma_file_chooser_dialog_new (const gchar *title,
                                   GtkWindow *parent,
                                   GtkFileChooserAction action,
                                   const PlumaEncoding *encoding,
                                   const gchar *first_button_text,
                                   ...);

Creates a new PlumaFileChooserDialog. This function is analogous to `gtk_dialog_new_with_buttons()`.

#### Parameters

title | Title of the dialog, or `NULL` |
parent | Transient parent of the dialog, or `NULL` |
action | Open or save mode for the dialog |
first_button_text | stock ID or text to go in the first button, or `NULL` |
Varargs | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new PlumaFileChooserDialog

### pluma_file_chooser_dialog_set_encoding ()

    void
    pluma_file_chooser_dialog_set_encoding
                                   (PlumaFileChooserDialog *dialog,
                                    const PlumaEncoding *encoding);

## Types and Values

### PlumaFileChooserDialogPrivate

    typedef struct _PlumaFileChooserDialogPrivate PlumaFileChooserDialogPrivate;

### struct PlumaFileChooserDialog

    struct PlumaFileChooserDialog;